package com.example.PersonalCenter;

import android.util.Log;

import com.hankcs.hanlp.HanLP;

import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public class Search {
    public String sickname;
    public Search(String sickname){
        this.sickname = sickname;
    }

    public List<Set<String>> search(){
        Log.i("search","sick执行了");
        //找出对应的8个关键字
        List<String> keywordList = HanLP.extractKeyword(sickname,8);

        //针对每一个sickname来查找一下能不能够找到相应的名字
        Set<String> mediciesSet = new HashSet<String>();
        Set<String> reasonsSet = new HashSet<String>();
        for(String i: keywordList){
            Log.i("关键词提取",i+"ha");
            String resq = SearchServiceGet.executeSearchGet(i,"/Search");

            if(!resq.equals("fail")) {
                String[] me_rea = resq.split("-");
                String[] medicines = me_rea[0].split("\\|");
                for(String j: medicines) mediciesSet.add(j);
                String[] reasons = me_rea[1].split("\\|");
                for(String j: reasons) reasonsSet.add(j);

            }
        }
        List<Set<String>> a = new ArrayList<Set<String>>();
        a.add(mediciesSet);
        a.add(reasonsSet);
        return a;


    }
}
